CreateTeamOwner
/api/v1/teams/{team}/ownersAdd an owner to a team. Owners manage the team and approve access to it.
Example request
curl -X POST \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "owner": "string" }' \ "https://us.oblique.security/api/v1/teams/{team}/owners"Set OBLIQUE_API_KEY to your API key.
curl -X POST \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "owner": "string" }' \ "https://eu.oblique.security/api/v1/teams/{team}/owners"Set OBLIQUE_API_KEY to your API key.
Path parameters
parentstringrequiredID of the parent.
Format:
teams/{team}
Query parameters
teamOwnerIdstringIf specified, use this as the ID of the team owner.
Request body
namestringAssigned by Oblique. The name of the membership. Memberships are always child resources of a given team. The
{owner}component is an arbitrary identifier, and doesn’t correspond to the actual member.createTimestring (date-time)read-onlyupdateTimestring (date-time)read-onlymanagementManagementHow this ownership is managed. Inherited from the parent team: owners of Terraform-managed teams are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent team to change this. Omitted from responses when the parent team is manually managed (the default).
managerstringHow the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.
repoUristringURI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
ownerstringrequiredSet once, when the resource is created. The name of the owner. This can be a user, team, or group.
Format:
users/{user},teams/{team},groups/{group}
Response
200TeamOwnernamestringAssigned by Oblique. The name of the membership. Memberships are always child resources of a given team. The
{owner}component is an arbitrary identifier, and doesn’t correspond to the actual member.createTimestring (date-time)read-onlyupdateTimestring (date-time)read-onlymanagementManagementHow this ownership is managed. Inherited from the parent team: owners of Terraform-managed teams are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent team to change this. Omitted from responses when the parent team is manually managed (the default).
managerstringHow the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.
repoUristringURI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
ownerstringrequiredSet once, when the resource is created. The name of the owner. This can be a user, team, or group.
Format:
users/{user},teams/{team},groups/{group}
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |